Skip to main content
GET
/
checkout
/
sessions
/
{id}
Retrieve Checkout Session
curl --request GET \
  --url https://api-sandbox.y.uno/v1/checkout/sessions/{id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "02caeb08-45c0-4670-9736-5bdee1b311f8",
  "merchant_order_id": "1752072398",
  "country": "AR",
  "payment_description": "Test Cards",
  "customer_id": "e937e18e-a684-4d7b-a1a1-ab64c10a941d",
  "callback_url": "https://google.com/?checkoutSession=02caeb08-45c0-4670-9736-5bdee1b311f8",
  "amount": {
    "currency": "ARS",
    "value": 520
  },
  "created_at": "2025-07-09T14:46:39.515251Z",
  "metadata": null,
  "workflow": "SDK_CHECKOUT",
  "installments": {
    "plan_id": null,
    "plan": null
  },
  "used": true
}
This request retrieves a checkout session using its unique identifier.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

id
string
required

The unique identifier of the checkout session (UUID, 36 chars).

Response

200

id
string

The unique identifier of the checkout session (MAX 64; MIN 36).

Example:

"02caeb08-45c0-4670-9736-5bdee1b311f8"

merchant_order_id
string

The unique identifier of the customer's order (MAX 255; MIN 3).

Example:

"1752072398"

country
string

Country where the transaction must be processed (MAX 2; MIN 2; ISO 3166-1).

Example:

"AR"

payment_description
string

The description of the payment (MAX 255; MIN 3).

Example:

"Test Cards"

customer_id
string

The unique identifier of the customer (MAX 64; MIN 36).

Example:

"e937e18e-a684-4d7b-a1a1-ab64c10a941d"

callback_url
string

The URL where to redirect the customer after the payment (MAX 526; MIN 3).

Example:

"https://google.com/?checkoutSession=02caeb08-45c0-4670-9736-5bdee1b311f8"

amount
object

Specifies the payment amount object, with the value and currency.

created_at
string

Checkout Session creation date and time (MAX 27; MIN 27; ISO 8601).

Example:

"2025-07-09T14:46:39.515251Z"

metadata
object[] | null

Specifies a list of metadata objects. You can add up to 50 metadata objects.

workflow
string

The payment workflow type that specifies how the checkout session will be processed.

Example:

"SDK_CHECKOUT"

installments
object

The object to send the installment plan created in Yuno to show your customers and let them choose from.

used
boolean

Specifies whether a checkout session was used previously or not.

Example:

true